RTPQueueBase Class Reference
Base classes for RTP queues.

A virtual base class for RTP queue hierarchies. More...

`#include <queuebase.h>`

Inheritance diagram for RTPQueueBase:
[legend]

## Public Member Functions

bool | setPayloadFormat (const PayloadFormat &pf)
| Set the payload format in use, for timing and payload type identification purposes.
uint32 | getLocalSSRC () const
uint32 | getCurrentRTPClockRate () const
| Get the clock rate in RTP clock units (for instance, 8000 units per second for PCMU, or 90000 units per second for MP2T).
PayloadType | getCurrentPayloadType () const
timeval | getInitialTime () const

## Protected Member Functions

| RTPQueueBase (uint32 *ssrc=NULL)
void | setLocalSSRC (uint32 ssrc)
uint32 | getLocalSSRCNetwork () const
virtual | ~RTPQueueBase ()
virtual size_t | dispatchBYE (const std::string &)
| A plugin point for posting of BYE messages.
virtual void | renewLocalSSRC ()

## Detailed Description

A virtual base class for RTP queue hierarchies.

Author
  Federico Montesino Pouzols fedem.nosp@m.p@al.nosp@m.tern..nosp@m.org

## Constructor & Destructor Documentation

## RTPQueueBase()

RTPQueueBase::RTPQueueBase | ( | uint32 * | ssrc = NULL | ) |

protected

Parameters

  ssrc | If not null, the local SSRC identifier for this session.

## ~RTPQueueBase()

virtual RTPQueueBase::~RTPQueueBase | ( |  | ) |

inline protected virtual

## Member Function Documentation

## dispatchBYE()

virtual size_t RTPQueueBase::dispatchBYE | ( | const std::string & |  | ) |

inline protected virtual

A plugin point for posting of BYE messages.

Parameters

  - | reason to leave the RTP session.

Returns
  number of octets sent.

Reimplemented in QueueRTCPManager, SingleThreadRTPSession< RTPDataChannel, RTCPChannel, ServiceQueue >, SingleThreadRTPSession< SymmetricRTPChannel, SymmetricRTPChannel >, TRTPSessionBase< RTPDataChannel, RTCPChannel, ServiceQueue >, and TRTPSessionBase< DualRTPUDPIPv4Channel, DualRTPUDPIPv4Channel, AVPQueue >.

## getCurrentPayloadType()

PayloadType RTPQueueBase::getCurrentPayloadType | ( |  | ) | const

inline

## getCurrentRTPClockRate()

uint32 RTPQueueBase::getCurrentRTPClockRate | ( |  | ) | const

inline

Get the clock rate in RTP clock units (for instance, 8000 units per second for PCMU, or 90000 units per second for MP2T).

This value depends on what payload format has been selected using setPayloadFormat().

Returns
  clock rate in RTP clock units.

Examples
  ccrtptest.cpp, rtphello.cpp, and rtpsend.cpp.

## getInitialTime()

timeval RTPQueueBase::getInitialTime | ( |  | ) | const

inline

## getLocalSSRC()

uint32 RTPQueueBase::getLocalSSRC | ( |  | ) | const

inline

Examples
  rtphello.cpp, rtplisten.cpp, and rtpsend.cpp.

## getLocalSSRCNetwork()

uint32 RTPQueueBase::getLocalSSRCNetwork | ( |  | ) | const

inline protected

## renewLocalSSRC()

virtual void RTPQueueBase::renewLocalSSRC | ( |  | ) |

inline protected virtual

Reimplemented in IncomingDataQueue, and RTPDataQueue.

## setLocalSSRC()

void RTPQueueBase::setLocalSSRC | ( | uint32 | ssrc | ) |

inline protected

## setPayloadFormat()

bool RTPQueueBase::setPayloadFormat | ( | const PayloadFormat & | pf | ) |

inline

Set the payload format in use, for timing and payload type identification purposes.

Parameters

  pf | payload format to use from now on.

Returns
  whether the payload format has been successfully set.

Examples
  audiorx.cpp, audiotx.cpp, ccrtptest.cpp, rtpduphello.cpp, rtphello.cpp, rtplisten.cpp, and rtpsend.cpp.

The documentation for this class was generated from the following file:

- queuebase.h